package org.gcube.portlets.user.geoportaldataentry.shared;

import java.io.Serializable;
import java.util.List;

public class DisplayField implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1856714668390438433L;
	
	private String displayName;
	private List<String> jsonFields;
	private boolean sortable;
	
	public DisplayField(){
		
	}

	public DisplayField(String displayName, List<String> jsonFields, boolean sortable) {
		super();
		this.displayName = displayName;
		this.jsonFields = jsonFields;
		this.sortable = sortable;
	}

	public String getDisplayName() {
		return displayName;
	}

	public List<String> getJsonFields() {
		return jsonFields;
	}

	public void setDisplayName(String displayName) {
		this.displayName = displayName;
	}

	public void setJsonFields(List<String> jsonFields) {
		this.jsonFields = jsonFields;
	}

	public boolean isSortable() {
		return sortable;
	}

	public void setSortable(boolean sortable) {
		this.sortable = sortable;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("DisplayField [displayName=");
		builder.append(displayName);
		builder.append(", jsonFields=");
		builder.append(jsonFields);
		builder.append(", sortable=");
		builder.append(sortable);
		builder.append("]");
		return builder.toString();
	}

	
}
